# Obsidian Excel Plugin

## Excel
The Obsidian-Excel plugin integrates [x-spreadsheet](https://github.com/myliang/x-spreadsheet), a feature sheet tool, into Obsidian. You can store and edit `xlsx` files in your vault.

### create sheet file
![Alt text](./doc/img/create.gif)

### import/export xlsx file
If you are using Microsoft Office 365 to create xlsx files, you need to import the display.

![import](./doc/img/import.gif)

### embed link to markdown

embed link rule:

> ![[`file-folder`/`file-name`#`sheet-name`|`sri`-`sci`:`eri`-`eci`<`sheet-height`>]]

![link](./doc/img/link.gif)

![link](./doc/img/part-link.gif)

![link](./doc//img/embed-link-height.gif)

### copy selected cells to HTML

![html](./doc/img/html.gif)

### Setting

![setting](./doc/img/setting-file.gif)

![setting](./doc/img/setting-embed.gif)

![setting](./doc//img/setting-sheet.gif)

### E-mail

- ljcoder@163.com


